@import url('https://fonts.googleapis.com/css2?family=Miniver&family=Poppins:ital,wght@0,400;0,500;0,600;0,700;1,400&display=swap');


* {

    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

html {
    scroll-behavior: smooth;
}

ul {
    list-style: none;
}

a {
    text-decoration: none;
}

button {
    cursor: pointer;
    border: none;
    background: none;
}

img {
    width: 100%;
}

.section-content {
    margin: 0 auto;
    padding: 0 20px;
    max-width: 1300px;
}

.section-title {

    text-align: center;
    padding: 60px 0 100px;
    text-transform: uppercase;
    font-size: 2rem;
}

.section-title::after {
    content: "";
    width: 80px;
    height: 5px;
    display: block;
    background: #f3961c;
    margin: 10px auto 0;
    border-radius: 8px;
}

header {
    position: fixed;
    width: 100%;
    z-index: 5;
    background: #3b141c;
}

header .navbar {
    display: flex;
    padding: 10px 0;
    align-items: center;
    justify-content: space-between;

}

.nav-logo {
    display: flex;
    align-items: center;
    gap: 10px;
}

.nav-logo img {
    width: 30px;
    height: 30px;
}


.navbar .nav-logo .logo-text {
    color: white;
    font-size: 2rem;
    font-weight: 600;
}

.navbar .nav-menu {
    display: flex;
    gap: 10px;
}
.navbar .logo{
  width: 250px;
    height: 80px;
    margin-left: -90px;
}

.navbar .nav-menu .nav-link {
    padding: 10px 18px;
    background: #3b141c;
    color: white;
    font-size: 1.12rem;
    border-radius: 30px;
    transition: 0.3s ease;
}

.navbar .nav-menu .nav-link:hover {
    background: #f3961c;
    color: #3b141c;
}

.navbar :where(#menu-close-button, #menu-open-button) {
    display: none;
}


/* //////////////////////////////////////// */




.hero-section {
    min-height: 100vh;
    background: #3b141c;

}

.hero-section .section-content {
    display: flex;
    align-items: center;
    padding-top: 100px;
    color: white;
    justify-content: space-between;
}

.hero-section .hero-details .title {
    font-size: 2.3rem;
    color: #f3961c;
    font-family: "Miniver", sans-serif;
}

.hero-section .hero-details .subtitle {
    margin-top: 8px;
    max-width: 70%;
    font-size: 2rem;
    font-weight: 600;
}

.hero-section .hero-details .description {
    max-width: 70%;
    margin: 24px 0 40px;
    font-size: 1.12rem;
}

.hero-section .hero-details .buttons {
    display: flex;
    gap: 23px;
}

.hero-section .hero-details .button {
    padding: 10px 26px;
    border: 2px solid transparent;
    color: #3b141c;
    border-radius: 30px;
    background: #f3961c;
    font-weight: 500;
    transition: 0.3s ease;
}

.hero-section .hero-details .button:hover,
.hero-section .hero-details .contact-us {
    color: white;
    border-color: white;
    background: transparent;
}

.hero-section .hero-details .contact-us:hover {
    color: #3b141c;
    border-color: #f3961c;
    background: #f3961c;

}

.hero-section .hero-image-wrapper {
    max-width: 500px;
    margin-right: 30px;
    margin-top: 80px;
}
.about-section {
    padding: 120px 0;
    background: #faf4f5;
}

.about-section .section-content {
    display: flex;
    gap: 50px;
    align-items: center;
    justify-content: space-between;
}

.about-section .about-image-wrapper .about-image {
    width: 400px;
    height: 400px;
    object-fit: cover;
    border-radius: 50%;
}

.about-section .about-details .section-title {
    padding: 0;
}

.about-section .about-details {
    max-width: 50%;
}

.about-section .about-details .text {
    line-height: 30px;
    margin: 50px 0 30px;
    text-align: center;
    font-size: 1.12rem;
}

.about-section .social-link-list {
    display: flex;
    gap: 25px;
    justify-content: center;
}

.about-section .social-link-list .social-link {
    color: #3b141c;
    font-size: 1.5rem;
    transition: 0.2s ease;
}

.about-section .social-link-list .social-link:hover {
    color: #f3961c;

}

.menu-section {
    color: white;
    background: #252525;
    padding: 50px 0 100px;
}

.menu-section .menu-list {
    display: flex;
    flex-wrap: wrap;
    gap: 110px;
    align-items: center;
    justify-content: space-between;
}

.menu-section .menu-list .menu-item {
    display: flex;
    align-items: center;
    text-align: center;
    flex-direction: column;
    justify-content: space-between;
    width: calc(100% / 3 -110px);
  
}

 

 
.menu-section .menu-list .menu-item .menu-image {
    max-width: 83%;
       height: 430px;
    aspect-ratio: 1;
    margin-bottom: 15px;
    object-fit: contain;
}

.menu-section .menu-list .menu-item .name {
    margin: 12px 0;
    font-size: 1.5rem;
    font-weight: 600;
}

.menu-section .menu-list .menu-item .text {
    font-size: 1.12rem;
}

.testimonials-section {
    padding: 50px 0 100px;
    background: #faf4f5;
}

.testimonials-section .slider-wrapper {
    overflow: hidden;
    margin: 0 60px 50px;
}


.testimonials-section .testimonial {
    user-select: none;
    display: flex;
    padding: 35px;
    flex-direction: column;
    text-align: center;
    align-items: center;

}

.testimonials-section .testimonial .user-image {
    width: 180px;
    height: 180px;
    object-fit: cover;
    border-radius: 50%;
    margin-bottom: 50px;

}

.testimonials-section .testimonial .name {
    margin-bottom: 16px;
    font-size: 1.12rem;
}

.testimonials-section .testimonial .feedback {
    line-height: 25px;
}

.testimonials-section .swiper-pagination-bullet {
    width: 15px;
    height: 15px;
    opacity: 1;
    background: #f3961c;
}

.testimonials-section .swiper-slide-button {
    margin-top: -50px;
    color: #f3961c;
    transition: 0.3s ease;
}

.testimonials-section .swiper-slide-button:hover {
    color: #3b141c;
}
.gallery-section {
    padding: 50px 0 100px;
}

.gallery-section .gallery-list {
    display: flex;
    flex-wrap: wrap;
    gap: 32px;
}

.gallery-section .gallery-list .gallery-item {
    overflow: hidden;
    border-radius: 8px;
    width: calc(100% / 3 - 22px);
    height: 250px; /* ارتفاع موحد */
}

.gallery-section .gallery-item .gallery-image {
    width: 100%;
    height: 100%;
    object-fit: cover; /* يخلي الصور متناسقة */
    display: block;
    cursor: zoom-in;
    transition: 0.3s ease;
}

.gallery-section .gallery-item:hover .gallery-image {
    transform: scale(1.1);
}

.contact-section {
    padding: 50px 0 100px;
    background: #faf4f5
}

.contact-section .section-content {
    display: flex;
    gap: 48px;
    align-items: flex-start;
    justify-content: space-between;
}

.contact-section .contact-info-list .contact-info {
    display: flex;
    gap: 20px;
    margin: 20px 0;
    align-items: center;
}

.contact-section .contact-info-list .contact-info i {
    font-size: 1.12rem;
}

.contact-section .contact-form .form-input {
    width: 100%;
    height: 50px;
    padding: 0 12px;
    outline: none;
    margin-bottom: 16px;
    background: white;
    border-radius: 8px;
    border: 1px solid #ccc;
}

.contact-section .contact-form {
    max-width: 50%;
}

.contact-section .contact-form .form-input:focus {
    border-color: #f3961c;
}

.contact-section .contact-form .textarea .form-input {
    height: 100px;
    padding: 12px;
    resize: vertical;
}

.contact-section .contact-form .submit-button {
    padding: 10px 26px;
    margin-top: 10px;
    color: white;
    font-size: 1.12rem;
    font-weight: 500;
    background: #3b141c;
    border-radius: 30px;
    border: 1px solid #3b141c;
    transition: 0.3s ease;
}

.contact-section .contact-form .submit-button:hover {
    color: #3b141c;
    background: transparent;
}

.footer-section {
    padding: 20px 0;
    background: #252525;
}

.footer-section .section-content {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footer-section :where(.copyright-text, .social-link, .policy-link) {
    color: white;
    transition: 0.2s ease;
}

.footer-section .social-link-list {
    display: flex;
    gap: 25px;
}

.footer-section .social-link-list .social-link {
    font-size: 1.5rem;
}

.footer-section .social-link-list .social-link:hover,
.footer-section .policy-text .policy-link:hover {
    color: #f3961c;
}
footer-section .social-link-list .social-link {
    font-size: 1.5rem;
}

.footer-section .social-link-list .social-link:hover,
.footer-section .policy-text .policy-link:hover {
    color: #f3961c;
}

.footer-section .policy-text .separator {
    margin: 0 5px;
    color: white;
}


@media screen and (max-width:1024px) {
    .menu-section .menu-list {
        gap: 60px;
    }

    .menu-section .menu-list .menu-item {
        width: calc(100% / 3 -60px);
    }

}

@media screen and (max-width:900px) {
    :root {
        --font-size-m: 1rem;
        --font-size-l: 1.3rem;
        --font-size-xl: 1.5rem;
        --font-size-xxl: 1.8rem;
    }
    .navbar{
        padding-inline:  10px !important;
    }
    body.show-mobile-menu header::before {
        content: "";
        position: fixed;
        left: 0;
        height: 100%;
        width: 100%;
        backdrop-filter: blur(5px);
        background: rgba(0, 0, 0, 0.2);
    }

    .navbar :where(#menu-close-button, #menu-open-button) {
        display: block;
        font-size: 1.5rem;
    }

    .navbar #menu-close-button {
        position: absolute;
        right: 30px;
        top: 30px;
    }

    .navbar #menu-open-button {
        color: white;
    }


    .navbar .nav-menu {
        display: block;
        position: fixed;
        left: -300px;
        top: 0;
        width: 300px;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding-top: 100px;
        background: white;
        transition: left 0.2s ease;
    }
    .logo{
        margin-left: -30px !important;
    }
    body.show-mobile-menu .navbar .nav-menu {
        left: 0;
    }

    .navbar .nav-menu .nav-link {
        color: white;
        display: block;
        margin-top: 17px;
        font-size: 1.5rem;
    }

    .hero-section .section-content {
        gap: 50px;
        text-align: center;
        padding: 30px 20px 20px;
        flex-direction: column-reverse;
        justify-content: center;
    }

    .hero-section .hero-details :is(.subtitle, .description),
    .about-section .about-details,
    .contact-section .contact-form {
        max-width: 100%;
    }

    .hero-section .hero-details .buttons {
        justify-content: space-between;
    }

    .hero-section .hero-image-wrapper {
        max-width: 270px;
        margin-right: 0;

    }

    .about-section .section-content {
        gap: 70px;
        flex-direction: column-reverse;
    }

    .about-section .about-image-wrapper .about-image {
        width: 100%;
        height: 100%;
        max-width: 250px;
        aspect-ratio: 1;
    }

    .menu-section .menu-list {
        gap: 30px;
    }

    .menu-section .menu-list .menu-item {
        width: calc(100% / 2 - 30px);
    }

    .menu-section .menu-list .menu-item .menu-image {
        max-width: 200px;
        max-height: 130px;
    }

    .gallery-section .gallery-list {
        gap: 30px;
    }

    .gallery-section .gallery-list .gallery-item {
        width: calc(100% / 2 - 30px);
    }

    .contact-section .section-content {
        align-items: center;
        flex-direction: column-reverse;
    }

}

 


@media screen and (max-width:640px) {
    .menu-section .menu-list {
        gap: 60px;
    }

    .menu-section .menu-list .menu-item,
    .gallery-section .gallery-list .gallery-item {
        width: 100%
    }

    .testimonials-section .slider-wrapper {
        margin: 0 0 30px;
    }

    /* .testimonials-section .swiper-slide-button {
        display: none;

    } */

    .footer-section .section-content {
        flex-direction: column;
        gap: 20px;
    }

}







